maxX = love.graphics.getWidth()
maxY = love.graphics.getHeight()
target = 1
timer = false
best = false

require "waypoints"
require "player"


function resetgame()
	waypoints.reset()
end

function love.load()
	player.LOAD()
	resetgame()
end

function love.update(dt)
	player.UPDATE(dt)
	if timer then timer = timer + dt end
	if love.keyboard.isDown("escape") then
		timer = false
		target = 1
	end
end

function love.draw()
	player.DRAW()
	waypoints.draw()
	for i = 1, #wp do
		if CheckCollision(player.x,player.y,player.width,player.height, wp[i].x,wp[i].y,wp[i].width,wp[i].height) then

			if target == 1 and i == 1 then
				if timer then 
					if not best then best = timer end
					if timer < best then 
						best = timer
					end
					timer = 0
					love.graphics.setColor(200,100,100)
					love.graphics.rectangle("fill",0,0,maxX,maxY)
				else
					timer = 0
					target = target + 1
				end
			end
			if target == i then 
				love.graphics.setColor(100,200,100)
				love.graphics.rectangle("fill",0,0,maxX,maxY)
				if target == #wp then
					target = 0
				end
				target = target +1
			end
			
		end
	end
	
	love.graphics.setColor(255,255,255)
	if timer then 
		love.graphics.print(string.format("%.3f",timer),10,10)
	end 
	love.graphics.print(target,10,50)
	if best then 
		love.graphics.setColor(255,0,0)
		love.graphics.print(string.format("%.3f",best),10,30)
	end
end

function CheckCollision(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end