player = {}

--this is where we set attributes of the player
function player.load()
	player.x = 10
	player.y = 10
	player.width = 10
	player.height = 10
	player.xvel = 0
	player.yvel = 0
	player.friction = 1
	player.speed = 500
end

--this is where the player is drawn from
function player.draw()
	love.graphics.setColor(255,0,0)
	love.graphics.rectangle("fill",player.x,player.y,player.width,player.height)

end

--this is where the phusics are handled
function player.physics(dt)
	player.x = player.x + player.xvel * dt
	player.y = player.y + player.yvel * dt
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1))
	player.yvel = player.yvel * (1 - math.min(dt*player.friction, 1))
end

--this is where the movement is handled
function player.move(dt)
	if love.keyboard.isDown("d") or love.keyboard.isDown("right") and
	player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
	end

	if love.keyboard.isDown("a") or love.keyboard.isDown("left")and
	player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
	end

	if love.keyboard.isDown("s") or love.keyboard.isDown("down") and
	player.yvel < player.speed then
		player.yvel = player.yvel + player.speed * dt
	end

	if love.keyboard.isDown("w") or love.keyboard.isDown("up") and
	player.yvel > -player.speed then
		player.yvel = player.yvel - player.speed * dt
	end
	
	if player.x < 0 then
		player.xvel = 0
		player.x = 0
	end
	
	if player.y < 0 then
		player.yvel = 0
		player.y = 0
	end
	
	if player.x > maxX - player.width then	
		player.xvel = 0
		player.x = maxX - player.width
	end
	
	if player.y > maxY - player.height then	
		player.yvel = 0
		player.y = maxY - player.height
	end
		
end

--functions are put here to be easily managaed in the main file
function player.LOAD()
	player.load()
end

function player.UPDATE(dt)
	player.physics(dt)
	player.move(dt)
end

function player.DRAW()
	player.draw()
end